summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index 5065d03f..55f2f3d9 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -126,6 +126,13 @@ setup_pbuilder() {
BASETGZ=/var/cache/pbuilder/$SUITE-reproducible-base.tgz
STAMP=/var/log/jenkins/$SUITE-reproducible-base.tgz.stamp
OLDSTAMP=$(find $STAMP -mtime +1 -exec ls -lad {} \; || echo "nostamp")
+NOW=$(mktemp)
+if [ $STAMP -nt $NOW ] ; then
+ echo "$STAMP file was created in the future, please investigate..."
+ rm $NOW > /dev/null
+ exit 1
+fi
+rm $NOW > /dev/null
if [ -n "$OLDSTAMP" ] || [ ! -f $BASETGZ ] || [ ! -f $STAMP ] ; then
if [ ! -f $BASETGZ ] ; then
echo "No $BASETGZ exists, creating a new one..."